For a partial void, the sum of the voided amounts defined for each seller must equal the total partial void amount.
Request
put https://apisandbox.braspag.com.br/v2/sales/{PaymentId}/void?amount={amount}
In the following example, the request specifies a void of R$25.00 from a transaction captured for R$100.00.
{
"VoidSplitPayments":[
{
"SubordinateMerchantId": "e5147542-0c0e-45d4-b6a8-a5a7167e6ae7",
"VoidedAmount": 1500
},
{
"SubordinateMerchantId" :"f1531485-adb3-4320-9b14-dbc07eea2b3e",
"VoidedAmount":1000
}
]
}| Property | Description | Type | Size | Required |
|---|---|---|---|---|
VoidSplitPayments.SubordinateMerchantId | MerchantId (Identifier) of the seller. | Guid | 36 | Yes |
VoidedAmount.Amount | Total or partial amount allocated to the seller to be voided, in cents. | Integer | - | Yes |
Response
{
"Status": 2,
"ReasonCode": 0,
"ReasonMessage": "Successful",
"ProviderReturnCode": "0",
"ProviderReturnMessage": "Operation Successful",
"ReturnCode": "0",
"ReturnMessage": "Operation Successful",
"Links": [
{
"Method": "GET",
"Rel": "self",
"Href": "https://apiquerysandbox.cieloecommerce.cielo.com.br/1/sales/c10ee5e5-6179-424c-bbf2-1a2319a8f7c3"
},
{
"Method": "PUT",
"Rel": "void",
"Href": "https://apisandbox.cieloecommerce.cielo.com.br/1/sales/c10ee5e5-6179-424c-bbf2-1a2319a8f7c3/void"
}
],
"VoidSplitPayments": [
{
"SubordinateMerchantId": "e5147542-0c0e-45d4-b6a8-a5a7167e6ae7",
"VoidedAmount": 1500,
"VoidedSplits": [
{
"MerchantId": "e5147542-0c0e-45d4-b6a8-a5a7167e6ae7",
"VoidedAmount": 1417
},
{
"MerchantId": "4b3f216c-69d7-44cf-a2d1-dbd1439429c3",
"VoidedAmount": 83
}
]
},
{
"SubordinateMerchantId": "f1531485-adb3-4320-9b14-dbc07eea2b3e",
"VoidedAmount": 1000,
"VoidedSplits": [
{
"MerchantId": "f1531485-adb3-4320-9b14-dbc07eea2b3e",
"VoidedAmount": 956
},
{
"MerchantId": "4b3f216c-69d7-44cf-a2d1-dbd1439429c3",
"VoidedAmount": 44
}
]
}
]
}It is not required to include all sellers in a partial void. You can specify only the sellers for whom you want to void the full amount or cancel part of the amount allocated to each one in the transaction, as shown in the following example:
{
"VoidSplitPayments":[
{
"SubordinateMerchantId" :"f1531485-adb3-4320-9b14-dbc07eea2b3e",
"VoidedAmount":1000
}
]
}When partially voiding an amount allocated to a seller, the Fixed Fee that the master is entitled to receive is also voided proportionally.